Subject: RE: ICMPv6: New destination unreachable codes

From: [email-masked]
Date: Fri, 30 Jan 2004 14:19:22 -0600

If I am not wrong, if we wanted the router to send the correct
prefix to the host in the ICMP message, we will have to change
the format of the ICMPv6 Destination Unreachable message.

Currently, we just have 4 bytes unused in the message format and
this prefix can't fit in there.

So the question is: is it worth changing the format of the message
for this optimization ??

Regards
Mukesh

> -----Original Message-----
> From: ext Christian Huitema [mailto:[email-masked]]
> Sent: Friday, January 30, 2004 12:09 PM
> To: Pekka Savola
> Cc: [email-masked]; Gupta Mukesh (Nokia-NET/MtView); 
> [email-masked]
> Subject: RE: ICMPv6: New destination unreachable codes
> 
> 
> > FWIW, I have no objection to specifying a new code, but I 
> don't think
> > adding a "working address" option is feasible or useful.
> 
> I understand that adding a new option is much harder than adding a new
> code point. I am fine with the new code point.
> 
> > On Fri, 30 Jan 2004, Christian Huitema wrote:
> > > In a site exit scenario, ingress filtering is performed either at
> the
> > > ingress interface of a router, or at one of the exit interfaces on
> the
> > > router. I suggest that the source address of the router's ICMP
> message
> > > should be one of the global scope addresses associated to that
> specific
> > > interface. This gives a strong hint to the host: among the source
> > > addresses that can be tried, pick the one that is the 
> best match for
> the
> > > router's interface.
> > 
> > I believe that all router implementations pick the source address of
> > the generated ICMP error messages based on the outgoing interface of
> > the message: this would be toward the site's internal 
> infrastructure,
> > and would very likely include addresses from all the prefixes.
> > 
> > So this would probably not help in this specific case, 
> unless you want
> > to make a specific exception (which might have some obvious 
> problems).
> 
> If the site is multi-addressed, the exit router link may or may not be
> multi-addressed. If it is not, then the global scope address probably
> matches the egress that the router is managing, and that is 
> fine. If the
> router link happens to be multi-addressed, then it would be 
> nice to pick
> the address that is most likely to match filtering.
> 
> -- Christian Huitema
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "marcelo bagnulo" <[email-masked]>
Date: Sat, 31 Jan 2004 11:15:37 +0100

IMHO, it is possible that a multihoming solution will end up requiring a
message that informs the host about the correct address to use.

It would be good if we didn't have to define an additional message for this
and we could just use this one.

I think that Christian's proposal doesn't change the packet format, since
the router just has to be smart enough to pick the right source address.

So all that it is needed is to state that the router has to pick one of its
own addresses that its ingress filters would allow to flow towards the
selected destination.

I fail to see why do you think this is not feasible

Regards, marcelo

> -----Mensaje original-----
> De: [email-masked] [mailto:[email-masked]]
> Enviado el: viernes, 30 de enero de 2004 21:19
> Para: [email-masked]; [email-masked]
> CC: [email-masked]; [email-masked]
> Asunto: RE: ICMPv6: New destination unreachable codes
>
>

---

From: Pekka Savola <[email-masked]>
Date: Sat, 31 Jan 2004 17:05:00 +0200 (EET)

> own addresses that its ingress filters would allow to flow towards the

These kind of statements do not belong in the ICMPv6 spec.
 
> I fail to see why do you think this is not feasible

Simply because that's not how routers select addresses for ICMP errors
they send.  They take an address from the interface which is used for
the outgoing packet.  And that in itself doesn't really help anything.

Now -- at least one vendor allows you to choose the "preferred"  
[nothing to do with the ND spec term] address on each interface, if
there are multiple ones.  Setting the ingress-wise correct address
preferred on the interface towards the site's infrastructure will give
the "ingress-wise" correct source address to the ICMP error message.

But this is just an operational procedure, which needs to be stated in
the multihoming solution documents, but something that IMHO must not
be added to the ICMPv6 spec, as it's really out of scope from ICMP 
perspective.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings